RSAES< STANDARD > Struct Template Reference

RSA encryption algorithm. More...

`#include <rsa.h>`

Inheritance diagram for RSAES< STANDARD >:

## Additional Inherited Members

Public Types inherited from TF_ES< RSA, STANDARD >
typedef STANDARD | Standard
| see EncryptionStandard for a list of standards
typedef TF_CryptoSchemeOptions< TF_ES< RSA, STANDARD, int >, RSA, MessageEncodingMethod > | SchemeOptions
typedef PK_FinalTemplate< TF_DecryptorImpl< SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate< TF_EncryptorImpl< SchemeOptions > > | Encryptor
| implements PK_Encryptor interface
Public Types inherited from RSA
typedef RSAFunction | PublicKey
typedef InvertibleRSAFunction | PrivateKey
Static Public Member Functions inherited from TF_ES< RSA, STANDARD >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from RSA
static const char * | StaticAlgorithmName ()

## Detailed Description

template<class STANDARD>
struct RSAES< STANDARD >

RSA encryption algorithm.

Template Parameters

  STANDARD | signature standard

See also
  RSA cryptosystem

Since
  Crypto++ 1.0

Definition at line 172 of file rsa.h.

The documentation for this struct was generated from the following file:

- rsa.h